Set a new password after account recovery
Set a new password after account recovery
curl --request POST \
--url https://platform.verolabs.co/api/auth/recovery/reset-password \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({password: '<string>'})
};
fetch('https://platform.verolabs.co/api/auth/recovery/reset-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.verolabs.co/api/auth/recovery/reset-password"
payload = { "password": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.verolabs.co/api/auth/recovery/reset-password"
payload := strings.NewReader("{\n \"password\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://platform.verolabs.co/api/auth/recovery/reset-password");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddJsonBody("{\n \"password\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://platform.verolabs.co/api/auth/recovery/reset-password");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"password\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);{
"status": "authenticated",
"sessionToken": "<string>",
"jwt": "<string>",
"session": {
"id": "<string>",
"active": true,
"authenticated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"devices": [
{
"ip_address": "<string>",
"location": "<string>",
"user_agent": "<string>"
}
],
"identity": {
"id": "<string>",
"traits": {}
},
"tokenized": "<string>",
"authenticator_assurance_level": "aal1"
},
"identity": {
"id": "<string>",
"traits": {}
},
"tokenizedSession": {
"id": "<string>",
"active": true,
"authenticated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"devices": [
{
"ip_address": "<string>",
"location": "<string>",
"user_agent": "<string>"
}
],
"identity": {
"id": "<string>",
"traits": {}
},
"tokenized": "<string>",
"authenticator_assurance_level": "aal1"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Body
New account password.
Request to set a new password after recovery-code verification.
New password for the Vero OMS account.
1Response
Password updated; authenticated session or pending second-factor challenge.
- Option 1
- Option 2
Check status on every successful HTTP response. authenticated includes the JWT; mfa_required requires POST /api/auth/mfa/verify with the response cookie.
Indicates that authentication is complete and the JWT can be used.
authenticated Account session token. Keep it confidential. Use it for session resumption; use jwt for REST API authorization.
Bearer JWT for protected REST API requests. Send it as Authorization: Bearer .
Active authenticated session.
Hide child attributes
Hide child attributes
Unique identifier for the record.
Indicates whether the session is active.
Timestamp when the session was authenticated.
Timestamp when the session expires.
Devices associated with the authenticated session.
Bearer JWT issued for REST API calls.
Authentication assurance level: aal1 after first-factor authentication; aal2 after successful two-factor authentication.
aal1, aal2 Authenticated session containing the JWT in tokenized.
Hide child attributes
Hide child attributes
Unique identifier for the record.
Indicates whether the session is active.
Timestamp when the session was authenticated.
Timestamp when the session expires.
Devices associated with the authenticated session.
Bearer JWT issued for REST API calls.
Authentication assurance level: aal1 after first-factor authentication; aal2 after successful two-factor authentication.
aal1, aal2 curl --request POST \
--url https://platform.verolabs.co/api/auth/recovery/reset-password \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({password: '<string>'})
};
fetch('https://platform.verolabs.co/api/auth/recovery/reset-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.verolabs.co/api/auth/recovery/reset-password"
payload = { "password": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.verolabs.co/api/auth/recovery/reset-password"
payload := strings.NewReader("{\n \"password\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://platform.verolabs.co/api/auth/recovery/reset-password");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddJsonBody("{\n \"password\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://platform.verolabs.co/api/auth/recovery/reset-password");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"password\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);{
"status": "authenticated",
"sessionToken": "<string>",
"jwt": "<string>",
"session": {
"id": "<string>",
"active": true,
"authenticated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"devices": [
{
"ip_address": "<string>",
"location": "<string>",
"user_agent": "<string>"
}
],
"identity": {
"id": "<string>",
"traits": {}
},
"tokenized": "<string>",
"authenticator_assurance_level": "aal1"
},
"identity": {
"id": "<string>",
"traits": {}
},
"tokenizedSession": {
"id": "<string>",
"active": true,
"authenticated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"devices": [
{
"ip_address": "<string>",
"location": "<string>",
"user_agent": "<string>"
}
],
"identity": {
"id": "<string>",
"traits": {}
},
"tokenized": "<string>",
"authenticator_assurance_level": "aal1"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}
